% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/auxiliary.R
\name{print.summary.RiskMap}
\alias{print.summary.RiskMap}
\title{Print Summary of RiskMap Model}
\usage{
\method{print}{summary.RiskMap}(x, ...)
}
\arguments{
\item{x}{An object of class "summary.RiskMap".}

\item{...}{other parameters.}
}
\value{
This function is used for its side effect of printing to the console. It does not return a value.
}
\description{
Provides a \code{print} method for the summary of "RiskMap" objects, detailing the model type, parameter estimates, and other relevant statistics.
}
\details{
This function prints a detailed summary of a fitted "RiskMap" model, including:
\itemize{
  \item The type of geostatistical model (e.g., Gaussian, Binomial, Poisson).
  \item Confidence intervals for parameter estimates.
  \item Regression coefficients with their standard errors and p-values.
  \item Measurement error variance, if applicable.
  \item Spatial process parameters, including the Matern covariance parameters.
  \item Variance of the nugget effect, if applicable.
  \item Unstructured random effects variances, if applicable.
  \item Log-likelihood of the model.
  \item Akaike Information Criterion (AIC) for Gaussian models.
}
}
\author{
Emanuele Giorgi \email{e.giorgi@lancaster.ac.uk}

Claudio Fronterre \email{c.fronterr@lancaster.ac.uk}
}
